using System;

    class Program
    {
        static void Main(string[] args)
        {
            var x = Console.ReadLine().Split(' ');
            int n = int.Parse(x[0]);
            int k = int.Parse(x[1]);
            var v = Console.ReadLine().Split(' ');
            int[] p = new int[n];
            int b = 0;
            for (int i = 0; i < n; i++)
            {
                p[i] = int.Parse(v[i]);
                if (i <= n - 1 && i > 0)
                {
                    if (p[i - 1] == k)
                    {
                        b = p[i];
                    }
                }
                if (p[0] == k)
                {
                    b = p[1];
                }
                if (p[n - 1] == k && i > 2)
                {
                    b = p[0];
                }
            }
            Console.WriteLine(b);
        }
    }